# wedding-site-backend

Web backend for hosting a wedding website.

# Run Local server:

```sh
source .venv/bin/activate
cd wedding_site
python manage.py runserver
```

# Do Migrations

```sh
cd wedding_site
python manage.py makemigrations primary
python manage.py migrate
```

# Run Dev Server in container

```sh
podman-compose -f compose.yaml up -d --build
```

Bring it down with:

```sh
podman-compose down -v
```

# Run Prod Server

```sh
podman-compose -f compose.prod.yaml up -d --build
```

Sync static files:

```sh
podman-compose -f compose.prod.yaml exec web python manage.py collectstatic --no-input --clear
```



